Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class ApplicationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.ApplicationException

Direct Known Subclasses:
  InvalidRedeployRequestException

public class ApplicationException
extends weblogic.utils.NestedException

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ApplicationContainer`, Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ApplicationException(java.lang.Exception e)`
`ApplicationException(java.lang.String msg, java.lang.Throwable nested)`

Method Summary
`java.lang.String` | `getApplicationMessage()` This is for the purpose of remote clients who get this exception.
`java.util.Hashtable` | `getModuleErrors()`
`java.lang.Exception` | `getTargetException(java.lang.String moduleName)`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationException

    public ApplicationException(java.lang.String msg,
                                java.lang.Throwable nested)

### ApplicationException

    public ApplicationException(java.lang.Exception e)

Method Detail

### getApplicationMessage

    public java.lang.String getApplicationMessage()

  This is for the purpose of remote clients who get this exception. It contains the text from getMessage() of the server exception, without the stacktrace which RMI adds when Server.InstrumentStackTraceEnabled is true. (When it is false, getMessage() on client side returns nothing.) This method can be used to get just the getMessage() text, in any case.

### getModuleErrors

    public java.util.Hashtable getModuleErrors()

### getTargetException

    public java.lang.Exception getTargetException(java.lang.String moduleName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD